{% extends "base.html" %}

{% block content %}
  <div class="container">
    <div class="row justify-content-center my-4" style="margin-top: 10vh !important;">
      <div class="col-lg-5 col-md-6 col-sm-9 col-12">
          <div class="card">
            <div class="card-header">
              <h2><i class="fas fa-coins"></i> Add Sale</h2>
            </div>
            <div class="card-body">
              <form action="" method="post">
                {{ form.hidden_tag() }}
                <div class="form-group">
                  {{ form.client_name.label }}
                  {{ form.client_name(size=50, class_="form-control", placeholder="Enter client name", autofocus='', list='clients') }}
                  <datalist id="clients">
                  </datalist>
                  <div class="form-errors">
                    {% for error in form.client_name.errors %}
                      {{ error }}
                    {% endfor %}
                  </div>
                </div>
                <div class="form-group">
                  {{ form.date_transaction.label }}
                  {{ form.date_transaction(class_="form-control", placeholder="Enter transaction date") }}
                  <div class="form-errors">
                    {% for error in form.date_transaction.errors %}
                      {{ error }}
                    {% endfor %}
                  </div>
                </div>
                <div class="form-group">
                  {{ form.amount.label }}
                  {{ form.amount(class_="form-control", placeholder="Enter amount", min="1", step="0.01") }}
                  <div class="form-errors">
                    {% for error in form.amount.errors %}
                      {{ error }}
                    {% endfor %}
                  </div>
                </div>
                {{ form.submit(class_="btn btn-success btn-block") }}
              </form>
            </div>
          </div>
      </div>
    </div>
  </div>
{% endblock %}

{% block scripts %}
  <script src="{{ url_for('static', filename='js/search_client.js') }}"></script>
  <script>
    document.getElementById('amount').type = 'number';
    document.getElementById('date_transaction').type = 'date';
    let today = new Date();
    let dd = today.getDate();
    let mm = today.getMonth() + 1;
    let yyyy = today.getFullYear();
    if (dd < 10) {
      dd = '0' + dd;
    }

    if (mm < 10) {
      mm = '0' + mm;
    }
    date = yyyy + '-' + mm + '-' + dd;
    document.getElementById('date_transaction').value = date;
    document.getElementById('date_transaction').max = date;

    let input_id = document.getElementById('client_name')
    input_id.addEventListener("keyup", showHint);
  </script>

{% endblock %}